version: '3'

tasks:
  start:
    desc: "Start EternalTwin platform (OAuth and website)"
    cmds:
      - "{{.COMPOSE}} up -d eternaltwin"

  stop:
    desc: "Stop EternalTwin platform"
    cmds:
      - "{{.COMPOSE}} down eternaltwin"

  install:
    desc: "Run bash inside Eternal Twincontainer"
    deps: [start]
    cmds:
      - "{{.COMPOSE}} exec -it eternaltwin /eternaltwin-bin db sync"

  bash:
    desc: "Run bash inside Eternal Twincontainer"
    deps: [start]
    cmds:
      - "{{.COMPOSE}} exec -it eternaltwin bash"
